org.apache.sysds.runtime.functionobjects

## Class IfElse

- java.lang.Object
- - org.apache.sysds.runtime.functionobjects.FunctionObject
  - - org.apache.sysds.runtime.functionobjects.ValueFunction
    - - org.apache.sysds.runtime.functionobjects.TernaryValueFunction
      - - org.apache.sysds.runtime.functionobjects.IfElse

All Implemented Interfaces:
  Serializable

    public class IfElse
    extends TernaryValueFunction

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.functionobjects.TernaryValueFunction

`TernaryValueFunction.ValueFunctionWithConstant`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`double` `execute(double in1, double in2, double in3)`
`static IfElse` `getFnObject()`

### Methods inherited from class org.apache.sysds.runtime.functionobjects.ValueFunction

`requiresCorrection`

### Methods inherited from class org.apache.sysds.runtime.functionobjects.FunctionObject

`clone, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getFnObject

    public static IfElse getFnObject()

#### execute

    public double execute(double in1,
                          double in2,
                          double in3)

Specified by:
  `execute` in class `TernaryValueFunction`